<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'fallotmen';
	var  $descripcion = '0';
	var  $n_reg = '0';
	var  $tip_ven = '0';
	var  $codagen = '0';
	var  $fecini = '0';
	var  $fecfin = '0';
	var  $numreservas = '0';
	var  $ocupadas = '0';
	
	//var  $modulo = '0';
	//var  $des_cor = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $npartes = '0';
	
	var  $status = '0';
	var  $lastInsId = '0';
	var  $t1 = '0';
	
	//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE n_reg = '$this->n_reg' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$this->n_reg=$this->getIdToInsert();
		$sql = "insert into $this->nom_tabla (n_reg, descripcion, acc_fec, acc_hor, usuario, codagen, fecini, fecfin, numreservas, ocupadas) values ('$this->n_reg', '$this->descripcion', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['usuario']."', '$this->codagen','$this->fecini','$this->fecfin', '$this->numreservas', '$this->ocupadas')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	
	//Funcion de Lista con Busqueda de posicion de venta 
	function lista_busqueda1($n_reg){
		$sql= "SELECT * FROM $this->nom_tabla WHERE pos_pun_ven = '".$_POST['pos_pun_ven']."'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $ok;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
	function getIdToInsert(){
		$dt_invent=mysqli_fetch_array(mysqli_query($GLOBALS['con'] ,'select n_reg from fallotmen order by CAST(n_reg AS UNSIGNED) desc limit 1'));
		return ($dt_invent['n_reg']+1);
	}
//Funcion de Modificar
	function modifica($n_reg){
		$sql = "UPDATE $this->nom_tabla SET descripcion='$this->descripcion',  acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['usuario']."',cod_var='$this->cod_var', fecini= '$this->fecini', fecfin='$this->fecfin', numreservas='$this->numreservas', ocupadas='$this->ocupadas' where n_reg ='$n_reg'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($n_reg){   
		$sql = "DELETE FROM $this->nom_tabla WHERE n_reg = '$n_reg'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>